Bug 997578 - SELinux is preventing nova-rootwrap from 'execute' accesses on the file /usr/sbin/ip.
SELinux is preventing nova-rootwrap from 'execute' accesses on the file /usr/...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:24f425cce01df9d20ff8785349a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 12:16 EDT by Mark
Modified: 2013-08-21 20:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-71.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 20:55:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark 2013-08-15 12:16:58 EDT
Description of problem:
installed openstack-havana allinone (via RDO/packstack)
reboot. 
SELinux is grumpy. 
SELinux is preventing nova-rootwrap from 'execute' accesses on the file /usr/sbin/ip.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that nova-rootwrap should be allowed execute access on the ip file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep nova-rootwrap /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:nova_cert_t:s0
Target Context                system_u:object_r:ifconfig_exec_t:s0
Target Objects                /usr/sbin/ip [ file ]
Source                        nova-rootwrap
Source Path                   nova-rootwrap
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           iproute-3.9.0-1.fc19.x86_64
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.10.6-200.fc19.x86_64 #1 SMP Mon
                              Aug 12 14:49:42 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-08-15 10:13:36 MDT
Last Seen                     2013-08-15 10:13:36 MDT
Local ID                      7a5663a4-aff1-4d4e-9250-c6ff297e6aca

Raw Audit Messages
type=AVC msg=audit(1376583216.806:382): avc:  denied  { execute } for  pid=1569 comm="nova-rootwrap" name="ip" dev="dm-1" ino=141614 scontext=system_u:system_r:nova_cert_t:s0 tcontext=system_u:object_r:ifconfig_exec_t:s0 tclass=file


Hash: nova-rootwrap,nova_cert_t,ifconfig_exec_t,file,execute

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.6-200.fc19.x86_64
type:           libreport
Comment 3 Fedora Update System 2013-08-20 04:28:21 EDT
selinux-policy-3.12.1-71.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-71.fc19
Comment 4 Fedora Update System 2013-08-20 20:17:09 EDT
Package selinux-policy-3.12.1-71.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-71.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15088/selinux-policy-3.12.1-71.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-21 20:55:02 EDT
selinux-policy-3.12.1-71.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.